javax.faces.event

## Class PostConstructCustomScopeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.SystemEvent
    - - javax.faces.event.PostConstructCustomScopeEvent

- All Implemented Interfaces:
    Serializable

      public class PostConstructCustomScopeEvent
      extends SystemEvent

  This class is provided to allow custom scopes to publish a "post construct" event in the same way that other scopes do to let the application become aware of the beginning of the scope. The runtime must listen for this event and invoke any `PostConstruct` annotated methods on any of the beans in this scope as appropriate. The following code can be used as a template for publishing such an event.

  `

      Map<String, Object> myScope = getMyScope();
      ScopeContext scopeContext = new ScopeContext("myScope", myScope);
      applicationPublishEvent(PostConstructCustomScopeEvent.class, scopeContext);

  `

  Since:
    2.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostConstructCustomScopeEvent(ScopeContext scopeContext)` An instance of this event indicates that the custom scope enclosed within the argument `scopeContext` was just created.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScopeContext` | `getContext()` Return the `ScopeContext` for this event.

    - ### Methods inherited from class javax.faces.event.SystemEvent

      `isAppropriateListener, processListener`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PostConstructCustomScopeEvent

          public PostConstructCustomScopeEvent(ScopeContext scopeContext)

      An instance of this event indicates that the custom scope enclosed within the argument `scopeContext` was just created.

      Parameters:
        `scopeContext` - A structure that contains the name of the scope and the scope itself exposed as a `Map<String, Object>`.

  - ### Method Detail

    - #### getContext

          public ScopeContext getContext()

      Return the `ScopeContext` for this event.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.